import pandas as pd
from sklearn import linear_model
from sklearn.model_selection import train_test_split
import mysql.connector
data= pd.read_csv('woa.csv')
country='South Africa'
data.drop(data[data.ground != country].index,inplace=True)
testmerger = pd.DataFrame()
trainmerger= pd.DataFrame()
for i in data.player.unique():
    data2= data.copy()
    data2.drop(data2[data2.player != i].index,inplace=True)
    if data2.shape[0]>1:
        test1,train1 = train_test_split(data2, test_size=0.2, random_state=42)
        testmerger=pd.concat([testmerger,test1], axis=0)
        trainmerger=pd.concat([trainmerger,train1], axis=0)
reg=linear_model.LinearRegression()
reg.fit(testmerger[['Overall','fivem','cavg']],testmerger.Runs)
diction= dict()
list=['Rohit Sharma ','K. L. Rahul','Virat Kohli ','Hardik Pandya','MS Dhoni ',
'Vijay Shankar','Kedar Jadhav','Kuldeep Yadav','Bhuvneshwar Kumar','Jasprit Bumrah','Yuzvendra Chahal']
for p in list:
   data= pd.read_csv('list.csv')
   data.drop(data[data.player != p].index,inplace=True)
   j=0
   pavg=0
   for i in data.Runs:
      if '*' in i:
         i=i[:-1]
      else:
         j=j+1
      pavg=pavg+int(i)
   pavg=pavg/j
   j=0
   lfm=0
   for i in data.Runs[-5:]:
      if '*' in i:
         i=i[:-1]
      else:
         j=j+1
      lfm=lfm+int(i)
   if j==0:
      j=1
   lfm=lfm/j
   data.drop(data[data.ground != country].index,inplace=True)
   j=0
   cavg=0
   for i in data.Runs:
      if '*' in i:
         i=i[:-1]
      else:
         j=j+1
      cavg=cavg+int(i)
   if j==0:
      j=1
   cavg=cavg/j
   print(p,reg.predict([[pavg,lfm,cavg]]))
   diction[p]=abs(reg.predict([[pavg,lfm,cavg]]))
teamTotal=sum(diction.values())
print(teamTotal)
for x in diction:
   diction[x]=diction[x]*50/teamTotal
outList=['Rohit Sharma ','Virat Kohli ','Hardik Pandya']
playerRes=50
for x in outList:
   playerRes=playerRes-diction[x]
mydb= mysql.connector.connect(host='localhost',user='root',passwd='',database='bats')
mycursor = mydb.cursor()
mycursor.execute("SELECT SUM(weight) FROM india WHERE `Over`<=25")
myresult = mycursor.fetchall()
overRes=0
for x in myresult:
  overRes=50-x[0]
playerloss=playerRes*25/50
playerRes=playerRes-playerloss
print("Players=", playerRes)
print("Overs=",overRes)
print("Team has ",overRes+playerRes," Resources")